# API Reference

REI Network's RPC interfaces are fully compatible with Ethereum (except EIP1559), so you can refer to ETH's JSON-RPC specifications

{% embed url="<https://playground.open-rpc.org/?schemaUrl=https%3A%2F%2Fraw.githubusercontent.com%2Fethereum%2Feth1.0-apis%2Fassembled-spec%2Fopenrpc.json&uiSchema%5BappBar%5D%5Bui%3AexamplesDropdown%5D=false&uiSchema%5BappBar%5D%5Bui%3Ainput%5D=false&uiSchema%5BappBar%5D%5Bui%3AsplitView%5D=true>" %}
Ethereum JSON-RPC Specification
{% endembed %}

{% hint style="info" %}
**Good to know:**  REI Network's RPC module currently implements all APIs of `eth_namespace`, `debug_namespace` and `txpool_namespace`; if you have other namespace API requirements, please feel free to give feedback to the team or submit a Pull Request
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rei.network/developer/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
